'* VBS Script Process Explorer Einstellungen
'* (c) 2011 bent.schrader@googlemail.com
'* Version: 1.2

Dim WSHShell, objEnv, objReg, FQDN, objFSO, Drive, User, Windows, UserProfile
Dim objWMIService, Process, ProcessExplorer, Message
Set WSHShell = WScript.CreateObject("WScript.Shell")
Set objEnv = WshShell.Environment("Process")
Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objWMIService = GetObject("winmgmts:")  

ProcessExplorer = 1
Message = "Der Process Explorer wurde nicht aktualisiert, da der Prozess bereits geffnet war."
FQDN = Lcase(objEnv("USERDNSDOMAIN"))
Drive = objEnv("SYSTEMDRIVE")
Windows = objEnv("SYSTEMROOT") & "\"
User = objEnv("USERNAME")

ProcExp = "\\" & FQDN & "\Netlogon\Tools\procexp.exe"

On Error Resume Next

strLPfad = WSHShell.SpecialFolders("StartUp")
Set objShortcut = WSHShell.CreateShortcut(strLPfad & "\" & "ProcessExplorer" & ".lnk")
objShortcut.TargetPath = "%SystemRoot%\procexp.exe"
objShortcut.Arguments = "/t"
objShortcut.WorkingDirectory = "%SystemRoot%"
objShortcut.Description= "Process Explorer"
objShortcut.Save 

'Kopiervorgang des Process Explorer wenn dieser nicht im Hintergrund bereits geffnet ist
For Each Process In objWMIService.InstancesOf("Win32_process")
	If LCase(Process.Name) = "procexp.exe" Then ProcessExplorer = 0
Next
If ProcessExplorer Then
	If objFSO.FileExists (ProcExp) Then
		objFSO.CopyFile ProcExp, Windows, TRUE
		Message = "Der Process Explorer wurde aktualisiert."
	End If
End If

'Import der Default-Registry-Einstellungen fr den ProcessExplorer
WshShell.RegWrite "HKCU\Software\Sysinternals\Process Explorer\HideWhenMinimized",1,"REG_DWORD"
WshShell.RegWrite "HKCU\Software\Sysinternals\Process Explorer\OneInstance",1,"REG_DWORD"
WshShell.RegWrite "HKCU\Software\Sysinternals\Process Explorer\DefaultSysInfoPage",1,"REG_DWORD"
WshShell.RegWrite "HKCU\Software\Sysinternals\Process Explorer\ShowAllCpus",1,"REG_DWORD"
WshShell.RegWrite "HKCU\Software\Sysinternals\Process Explorer\ShowIoTray",1,"REG_DWORD"
	
If Err.Number <> 0 Then
	WSHShell.LogEvent 1, "Fehler bei Ausfhrung von [" & WScript.ScriptFullName & "] fr Benutzer [" & User & "@" & FQDN & "]: " _
	& "Code: " & Err.Number & ", Quelle: " & Err.Source & ", Details: " & Err.Description 'ERROR in Eventlog
Else
	WSHShell.LogEvent 0, "Erfolgreiche Ausfhrung von [" & WScript.ScriptFullName & "] fr Benutzer [" & User & "@" & FQDN & "]. " _
	& VbCrLf & VbCrLf & Message 'SUCCESS in Eventlog
End If
